<?php
namespace Modules\Admin\Server\Checks;

use \App\Mvc\View\Utils\Types\ListingColumn;
use \App\Mvc\View\Utils\Types\ListingColumns;

class View_List extends \App\Mvc\View_Window_PaginatedListing_ListAbstract
{
	protected $resultsPerPageList = [PHP_INT_MAX];

	protected function list_getThDetails()
	{
		$list = ListingColumns::create()
			->append(
				ListingColumn::create('module')
			)
			->append(
				ListingColumn::create('browser')
			)
			->append(
				ListingColumn::create('cli')
			)

			->loadLabels($this->lang['index']['listCols'])
			->loadSettings($this->input['listingParams']->getDynamicColumnsSettings())
		;
		return $list;
	}
}